/*******************************************************************

   Project.h

   It is just the way how do I my work...
   This is included in every other own headerfile to make globally
   defines,...

*********************************************************************/
// At first the "include" section

// useful for SAS
#include <dos.h>

#include <proto/dos.h>
#include <proto/asl.h>
#include <proto/exec.h>
#include <proto/utility.h>
#include <proto/gadtools.h>
#include <proto/intuition.h>

#include <dos/exall.h>
#include <dos/dostags.h>
#include <exec/memory.h>
#include <exec/execbase.h>

/* catalog file */
#define  CATCOMP_NUMBERS
#include "includes/buildin.strings"

#define  _DOPUS_MODULE_DEF
#include <dopus/modules.h>

/* contains some replacements for string functions - by Dirk Stoecker */
#define  SDI_TO_ANSI
#include "/sc/include/sdi_std.h"

/********************************************************************/
// now we do our own stuff, this here is already from our first real
// module (as example...)

#define MODULE_NAME        "example.module"
#define MODULE_VER_NUMBER  1
#define MODULE_CATALOG     "example.catalog"
#define MODULE_FLAGS       0
#define MODULE_FUNC_COUNT  3

#define VERSION_STRING     MODULE_NAME " 1.1"


// FUNCx_DESCRIPTION will be in "includes/buildin.strings" defined
// (will be created by CatComp from "includes/buildin.cd"...)

#define COMMAND_0
#define FUNC0_ID
#define FUNC0_FLAGS
#define FUNC0_TEMPLATE

#define COMMAND_1
#define FUNC1_ID
#define FUNC1_FLAGS
#define FUNC1_TEMPLATE

#define COMMAND_2
#define FUNC2_ID
#define FUNC2_FLAGS
#define FUNC2_TEMPLATE

/********************************************************************/
/* You may declare here some variables, if you need them globally.  */
/* We need them here not and we use for each function it's own file */
/* and header.                                                      */


/********************************************************************/
// make our memorypool (modinit.c) globally accessable

extern APTR mempool;

